<template>
  <div class="contu">
    <div class="row">
      <div
        class="c-l"
        v-for="(im, index) in menuList"
        :key="index"
        @click="toM(im)"
      >
        <svg-icon :iconClass="im.svg" class="icons"></svg-icon>
        <div class="t-n">{{ im.name }}</div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: "BydIndex",

  data() {
    return {
      menuList: [
        {
          name: "智能语音助手",
          svg: "ic_p_yuying",
          path: "/assistant",
        },
        {
          name: "蓝牙电话",
          svg: "ic_p_phone",
          path: "/phone",
        },
        {
          name: "电台",
          svg: "ic_p_diantai",
          path: "/diant/1",
        },
        {
          name: "蓝牙音乐",
          svg: "ic_p_music",
          path: "/diant/2",
        },
        {
          name: "媒体中心",
          svg: "ic_p_meiti",
          path: "/diant/1",
        },
        {
          name: "车辆影像",
          svg: "ic_p_clyx",
          path: "/cari",
        },
        {
          name: "酷狗音乐",
          svg: "ic_p_kugou",
          path: "/kugou",
        },
        {
          name: "酷我音乐",
          svg: "ic_p_kuwo",
          path: "/kmusic",
        },
        {
          name: "喜马拉雅",
          svg: "ic_p_xmly",
          path: "/xima",
        },
        {
          name: "百变主题",
          svg: "ic_p_zhuti",
          path: "/cgtop",
        },
        {
          name: "BYD市场",
          svg: "ic_p_shic",
          path: "/shic",
        },
        {
          name: "行车记录仪",
          svg: "ic_p_carrrr",
          path: "/xingx",
        },
      ],
    };
  },

  mounted() {},

  methods: {
    toM(im) {
      this.$router.push(im.path);
      this.$store.commit("bottom/changeTopLine", false);
      this.$store.commit("bottom/changeSilde", true);
      if (im.path == "/kmusic") {
        this.$store.commit("header/changeHeaderDark", true);
        this.$store.commit("bottom/changeBottomBg", true);
      }
    },
  },
};
</script>

<style lang="scss" scoped>
.contu {
  position: absolute;
  top: 300px;
  // width: 100%;
  width: 1600px;
  height: 52%;
  display: flex;
  margin-left: 156px;
  //   transform: 800px;
  justify-content: center;
  .row {
    width: 1600px;
    height: 450px;
    display: flex;
    padding: 0 20px;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
  }
  .c-l {
    width: calc(100% / 6);
    height: 225px;
    .icons {
      width: 120px;
      height: 120px;
    }
    .t-n {
      font-size: 26px;
      font-weight: 500;
      margin-top: 10px;
      letter-spacing: -0.01em;
      color: #000000;
    }
  }
}
</style>
